%define major		0
%define libname		%mklibname symspg %{major}
%define develname	%mklibname %{name} -d

Name:		spglib
Version:	1.16.1
Release:	%mkrel 2
Summary:	C library for finding and handling crystal symmetries
License:	BSD
Group:		System/Libraries
Url:		https://atztogo.github.io/spglib/
Source:		https://github.com/atztogo/spglib/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	libtool

%description
C library for finding and handling crystal symmetries.

#----------------------------------------------------

%package -n	%{libname}
Summary:	C library for finding and handling crystal symmetries
Group:		System/Libraries

%description -n	%{libname}
C library for finding and handling crystal symmetries.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} >= %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libspg-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%prep
%setup -q

%build
touch INSTALL NEWS README AUTHORS
autoreconf -vfi

%configure --disable-static

%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/libsymspg.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog README.md
%license COPYING
%{_includedir}/%{name}/
%{_libdir}/libsymspg.so


%changelog
* Wed Mar 16 2022 umeabot <umeabot> 1.16.1-2.mga9
+ Revision: 1794619
- Mageia 9 Mass Rebuild

* Fri Feb 26 2021 daviddavid <daviddavid> 1.16.1-1.mga9
+ Revision: 1691685
- new version: 1.16.1

* Sun Aug 02 2020 daviddavid <daviddavid> 1.16.0-1.mga8
+ Revision: 1610489
- new version: 1.16.0

* Fri May 01 2020 daviddavid <daviddavid> 1.15.1-1.mga8
+ Revision: 1577364
- new version: 1.15.1

* Tue Apr 21 2020 daviddavid <daviddavid> 1.15.0-1.mga8
+ Revision: 1570225
- new version: 1.15.0

* Sat Feb 15 2020 umeabot <umeabot> 1.14.1-2.mga8
+ Revision: 1528346
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Aug 19 2019 daviddavid <daviddavid> 1.14.1-1.mga8
+ Revision: 1429928
- new version: 1.14.1

* Fri Jul 19 2019 daviddavid <daviddavid> 1.13.0-1.mga8
+ Revision: 1422654
- new version: 1.13.0

* Tue Feb 12 2019 daviddavid <daviddavid> 1.12.2-1.mga7
+ Revision: 1365447
- new version: 1.12.2

* Thu Jan 31 2019 daviddavid <daviddavid> 1.12.1-1.mga7
+ Revision: 1362020
- new version: 1.12.1

* Wed Jan 30 2019 daviddavid <daviddavid> 1.12.0-1.mga7
+ Revision: 1361856
- new version: 1.12.0

* Mon Dec 10 2018 daviddavid <daviddavid> 1.11.2-1.mga7
+ Revision: 1339654
- new version: 1.11.2

* Sun Nov 18 2018 daviddavid <daviddavid> 1.11.1-1.mga7
+ Revision: 1330753
- new version: 1.11.1

* Sun Sep 23 2018 umeabot <umeabot> 1.10.4-2.mga7
+ Revision: 1301141
- Mageia 7 Mass Rebuild

* Sat Aug 18 2018 daviddavid <daviddavid> 1.10.4-1.mga7
+ Revision: 1252494
- new version: 1.10.4

* Sun Mar 25 2018 daviddavid <daviddavid> 1.10.3-1.mga7
+ Revision: 1212357
- new version: 1.10.3

* Mon Jan 08 2018 daviddavid <daviddavid> 1.10.2-1.mga7
+ Revision: 1191443
- new version: 1.10.2

* Sun Jan 29 2017 daviddavid <daviddavid> 1.9.9-1.mga6
+ Revision: 1084062
- new version: 1.9.9

* Tue Dec 13 2016 daviddavid <daviddavid> 1.9.8-1.mga6
+ Revision: 1074479
- initial package spglib

